using ServerDatabase.Utils;

namespace ServerDatabase;

public interface ITable
{
    public void UpdateTable();
    public IReadOnlyList<ITableColumn> Colums { get; }
    public string Name { get; set; }
    public Database DatabaseHandler { get; set; }
    public void AddColumn(ITableColumn Column, string name);
}